﻿@model eCommerce.Services.Model.Configuration
@{
    ViewBag.Title = "Configuraciónes";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Configuración de descuento en primera compra</h1>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("Discounts", "Configuration", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Descuento por primera compra @*(Minorista)*@</label>
                            <div class="col-sm-9">
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="FirstOrderDiscountEnabled" id="FirstOrderDiscountEnabled" class="js-switch" data-plugin="switchery" data-size="small" @(Model.FirstOrderDiscountEnabled ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                </div>
                            </div>
                        </div>

                        <div class="js-period @(!Model.FirstOrderDiscountEnabled ? "hidden" : string.Empty)">

                            <div class="form-group">
                                <label class="col-sm-2 control-label">Periodo valido</label>
                                <div class="col-sm-2">
                                    <div class="input-group">
                                        <input type="number" class="form-control" name="FirstOrderDiscountDurationPeriodDays" value="@Model.FirstOrderDiscountDurationPeriodDays" />
                                        <span class="input-group-addon">días</span>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 control-label">Descuento</label>
                                <div class="col-sm-2">
                                    <div class="input-group">
                                        <input type="number" class="form-control" name="FirstOrderDiscountPercent" value="@Model.FirstOrderDiscountPercent" />
                                        <span class="input-group-addon">%</span>
                                    </div>
                                </div>
                            </div>

                        </div>

                        @*<div class="form-group">
                            <label class="col-sm-2 control-label">Descuento por primera compra (Mayorista)</label>
                            <div class="col-sm-9">
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="FirstOrderDiscountEnabledWS" id="FirstOrderDiscountEnabledWS" class="js-switch-ws" data-plugin="switchery" data-size="small" @(Model.FirstOrderDiscountEnabledWS ? "checked=\"checked\"" : "") data-switchery="true" style="display: none;">
                                </div>
                            </div>
                        </div>

                        <div class="js-period-ws @(!Model.FirstOrderDiscountEnabledWS ? "hidden" : string.Empty)">

                            <div class="form-group">
                                <label class="col-sm-2 control-label">Periodo valido</label>
                                <div class="col-sm-2">
                                    <div class="input-group">
                                        <input type="number" class="form-control" name="FirstOrderDiscountDurationPeriodDaysWS" value="@Model.FirstOrderDiscountDurationPeriodDaysWS" />
                                        <span class="input-group-addon">días</span>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 control-label">Descuento</label>
                                <div class="col-sm-2">
                                    <div class="input-group">
                                        <input type="number" class="form-control" name="FirstOrderDiscountPercentWS" value="@Model.FirstOrderDiscountPercentWS" />
                                        <span class="input-group-addon">%</span>
                                    </div>
                                </div>
                            </div>

                        </div>*@

                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave" onclick="save()">Grabar</button>
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    FirstOrderDiscountDurationPeriodDays: {
                        validators: {
                            notEmpty: {
                                message: 'El campo es requerido.'
                            }
                        }
                    }
                }
            });
        })();

        $(document).ready(function () {

        });

        $('.js-switch').change(function () {
            var checked = $(this).is(':checked');
            $('.js-period').toggleClass('hidden', !checked);
        });

        $('.js-switch-ws').change(function () {
            var checked = $(this).is(':checked');
            $('.js-period-ws').toggleClass('hidden', !checked);
        });

    </script>
}

